Namespace
library
Image / Tag
consul:1.13
Content Digest
sha256:e3d9d77297c8c53b4a6b407a7361bb4dd7069b8494dac19baf66ed578c740128
Details
Created

2024-03-15 23:54:15 UTC

Size

49.3 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:60aeec3a60ac12f63ba33495ce01db7daf3ed4c138213d85412a7fe01dbbb264 - 5.48% (2.7 MB)

[#001] sha256:2891de9a8cc91a8a551c1844925d89b28b071413e5be681d423f588fad5ac4cc - 0.0% (1.24 KB)

[#002] sha256:7c7130a3d53086b8092a1ba79d08195eb55a6a3b733d170970f769043c9e40ca - 94.52% (46.6 MB)

[#003] sha256:675e3eb4e5dc3591015124652cddab19fc47d9715bcefb7601ef977e2121d467 - 0.0% (174 Bytes)

[#004] sha256:ef478b84bf141dd58f77f5723e1a4cd30ba3630461c17bc06ed71ef45b3d3914 - 0.0% (153 Bytes)

[#005] sha256:8fc6b18ad58b77c58bc9fc504d3fb8677eae2d51c3a70b416d234707ca1592d0 - 0.0% (1.79 KB)


History
2023-12-01 02:04:00 UTC

/bin/sh -c #(nop) ADD file:5990d507b1d1b3a4a63574a2ec1c9e2ca4344d30f7618e002039cd6c9693a56d in /

2023-12-01 02:04:00 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-15 23:54:04 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.9

2024-03-15 23:54:04 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-15 23:54:04 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-15 23:54:05 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-15 23:54:12 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-15 23:54:13 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-15 23:54:14 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-15 23:54:14 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-15 23:54:14 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-15 23:54:14 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-15 23:54:15 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-15 23:54:15 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-15 23:54:15 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-15 23:54:15 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 08:00:56 UTC

Size

50.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d078792c4f9122259f14b539315bd92cbd9490ed73e08255a08689122b143108 - 5.34% (2.7 MB)

[#001] sha256:cfa0361b1a6e7d976e91c6bd860b1688ab2dde6ec87fd8c856c234a3cfd19415 - 0.0% (1.24 KB)

[#002] sha256:cb30438e39e36eae92cd6d911dd3d724be570a9e7befeb8dfd9992d173b6bd58 - 94.65% (47.7 MB)

[#003] sha256:21dfef1d4239e2ad0cb1dacbdaa0abd14c94779a8aed1dd8f94aa5e2cda49bfe - 0.0% (176 Bytes)

[#004] sha256:264adbada489c210b486c453a451e8a5230a7be2efe1ded20e84e001511e6b05 - 0.0% (153 Bytes)

[#005] sha256:ad705323f97212ef114f0deb51ed41f4502015cf52943adfbc334ac83c70a6c5 - 0.0% (1.79 KB)


History
2023-11-30 23:23:11 UTC

/bin/sh -c #(nop) ADD file:aa1af71c6b66d2dddee4797236e3e526f70f904ab641cc0dd6b41445cfedf9b4 in /

2023-11-30 23:23:11 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 08:00:48 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.9

2024-03-16 08:00:48 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 08:00:48 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 08:00:49 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 08:00:54 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 08:00:55 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 08:00:55 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 08:00:55 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 08:00:55 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 08:00:55 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 08:00:56 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 08:00:56 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 08:00:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 08:00:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 01:08:56 UTC

Size

48 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:be5e3feadb89f4f40a3bc5997dbddd75fdc3686e938beb9d363990d92db9e4aa - 5.23% (2.51 MB)

[#001] sha256:dc63b553ef8b8a8119558a8a19c5299b24a04c71905c3dd286dbfcdc650e6de0 - 0.0% (1.24 KB)

[#002] sha256:411b14b841cd76176d1ddfecfd87a323ea4000526524892f497de45af508897a - 94.77% (45.5 MB)

[#003] sha256:e3f34b0384c5b0d619807db46ee3076289f862c5e784e95b8ef2b8dc1e67888d - 0.0% (174 Bytes)

[#004] sha256:af33cc37dae42ccbb65f164efbc8c2ec695150ec90a03d6a67eb036812c4404c - 0.0% (154 Bytes)

[#005] sha256:b826096d6992838494a6b10240eebec11a2d25aaef6f72bdc68afc9924a36bee - 0.0% (1.79 KB)


History
2023-11-30 22:49:27 UTC

/bin/sh -c #(nop) ADD file:2270cb7f14826bc917baa12cd1ff166703f454ccd10ef5799d8106942bb0abe2 in /

2023-11-30 22:49:27 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 01:08:38 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.9

2024-03-16 01:08:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 01:08:38 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 01:08:40 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 01:08:50 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 01:08:52 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 01:08:53 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 01:08:54 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 01:08:54 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 01:08:54 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 01:08:55 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 01:08:55 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 01:08:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 01:08:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2024-03-16 03:05:29 UTC

Size

47.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.13.9

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:8bc1ab4b84041d57f21a792410a00820f73fda7efe08bcd2ca6245349a40299d - 5.45% (2.6 MB)

[#001] sha256:d5f55f41307d72d5098b63dd105f1afeabd9c9941c7e4de2e47f1be62332fe04 - 0.0% (1.24 KB)

[#002] sha256:e358ee67ea4bf16d6d6c78187847ff04273566579ca912341fd24c749e44160e - 94.54% (45 MB)

[#003] sha256:66e99432ab36fea86b13a82cba1fbcc5f830efe9eb67c52dfcd2de16f9b7e01b - 0.0% (174 Bytes)

[#004] sha256:e86f570ba77ee453457be7d7cb8a11996e50843a27705847895adfae2816d67d - 0.0% (154 Bytes)

[#005] sha256:df625012f913ece4a4631cef2e6afa54aa168c48505184a1399ad74a8db5bf6d - 0.0% (1.79 KB)


History
2023-11-30 23:11:15 UTC

/bin/sh -c #(nop) ADD file:3982c510455cc0ceea8cf8dd0b50b69588e35fd4f84522cb4000582c73781672 in /

2023-11-30 23:11:15 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2024-03-16 03:05:22 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.13.9

2024-03-16 03:05:22 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.13.9 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2024-03-16 03:05:22 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2024-03-16 03:05:22 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c addgroup consul && adduser -S -G consul consul

2024-03-16 03:05:27 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2024-03-16 03:05:28 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2024-03-16 03:05:28 UTC

|1 CONSUL_VERSION=1.13.9 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2024-03-16 03:05:28 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2024-03-16 03:05:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2024-03-16 03:05:29 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2024-03-16 03:05:29 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2024-03-16 03:05:29 UTC

/bin/sh -c #(nop) COPY file:f5ba00fb9fd3a67a835a792e07b11da3b163222c18f8512aa772b36520d2a653 in /usr/local/bin/docker-entrypoint.sh

2024-03-16 03:05:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2024-03-16 03:05:29 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]